Preview merged configuration

Returns the result of merging the source branch into the target branch without performing the merge. Useful for showing an accurate diff before confirming.

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.
source_branch_idstringRequired
Unique identifier for the source branch to merge from.

Headers

xi-api-keystringOptional

Query parameters

target_branch_idstringRequired
The ID of the target branch to merge into.
forcebooleanOptionalDefaults to false
When true, source branch changes always win conflicts regardless of timestamps

Response

Successful Response
agent_idstring
The ID of the agent
namestring
The name of the agent
conversation_configobject
The conversation configuration of the agent
metadataobject
The metadata of the agent
platform_settingsobject
The platform settings of the agent
phone_numberslist of objects
The phone numbers of the agent
whatsapp_accountslist of objects
WhatsApp accounts assigned to the agent
workflowobject
The workflow of the agent
access_infoobject or null
The access information of the agent for the user
tagslist of strings
Agent tags used to categorize the agent
version_idstring or null
The ID of the version the agent is on
branch_idstring or null
The ID of the branch the agent is on
main_branch_idstring or null
The ID of the main branch for this agent
overridden_fieldslist of strings

Dot-paths of config fields where both branches modified the same field relative to their common ancestor (conflicts). Present regardless of which side wins the conflict.

source_identical_to_targetbooleanDefaults to false

True when the merge/rebase would be a no-op, i.e. the merged result is identical to the source branch tip. The rebase endpoint rejects in this case.

Errors

422
Unprocessable Entity Error